org.keycloak.util

## Class SystemPropertiesJsonParserFactory.SystemPropertiesAwareJsonParser

- java.lang.Object
- - org.codehaus.jackson.JsonParser
  - - org.codehaus.jackson.util.JsonParserDelegate
    - - org.keycloak.util.SystemPropertiesJsonParserFactory.SystemPropertiesAwareJsonParser

- All Implemented Interfaces:
    Closeable, AutoCloseable, org.codehaus.jackson.Versioned
  Enclosing class:
    SystemPropertiesJsonParserFactory

      public static class SystemPropertiesJsonParserFactory.SystemPropertiesAwareJsonParser
      extends org.codehaus.jackson.util.JsonParserDelegate

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.JsonParser

      `org.codehaus.jackson.JsonParser.Feature, org.codehaus.jackson.JsonParser.NumberType`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.jackson.util.JsonParserDelegate

      `delegate`

    - ### Fields inherited from class org.codehaus.jackson.JsonParser

      `_currToken, _features, _lastClearedToken`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemPropertiesJsonParserFactory.SystemPropertiesAwareJsonParser(org.codehaus.jackson.JsonParser d)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getText()`

    - ### Methods inherited from class org.codehaus.jackson.util.JsonParserDelegate

      `canUseSchema, clearCurrentToken, close, disable, enable, getBigIntegerValue, getBinaryValue, getBooleanValue, getByteValue, getCodec, getCurrentLocation, getCurrentName, getCurrentToken, getDecimalValue, getDoubleValue, getEmbeddedObject, getFloatValue, getInputSource, getIntValue, getLastClearedToken, getLongValue, getNumberType, getNumberValue, getParsingContext, getShortValue, getTextCharacters, getTextLength, getTextOffset, getTokenLocation, hasCurrentToken, isClosed, isEnabled, nextToken, setCodec, setSchema, skipChildren, version`

    - ### Methods inherited from class org.codehaus.jackson.JsonParser

      `_constructError, configure, disableFeature, enableFeature, getBinaryValue, getValueAsBoolean, getValueAsBoolean, getValueAsDouble, getValueAsDouble, getValueAsInt, getValueAsInt, getValueAsLong, getValueAsLong, hasTextCharacters, isExpectedStartArrayToken, isFeatureEnabled, nextBooleanValue, nextFieldName, nextIntValue, nextLongValue, nextTextValue, nextValue, readValueAs, readValueAs, readValueAsTree, readValuesAs, readValuesAs, releaseBuffered, releaseBuffered, setFeature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemPropertiesJsonParserFactory.SystemPropertiesAwareJsonParser

          public SystemPropertiesJsonParserFactory.SystemPropertiesAwareJsonParser(org.codehaus.jackson.JsonParser d)

  - ### Method Detail

    - #### getText

          public String getText()
                         throws IOException

      Overrides:
        `getText` in class `org.codehaus.jackson.util.JsonParserDelegate`
      Throws:
        `IOException`

Copyright © 2014. All Rights Reserved.